diff --git a/wcs/backoffice/root.py b/wcs/backoffice/root.py
index d598c1264..d1793b001 100644
--- a/wcs/backoffice/root.py
+++ b/wcs/backoffice/root.py
@@ -19,13 +19,13 @@ from django.utils.translation import pgettext
 from quixote import get_publisher, get_request, get_response, redirect
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon.backoffice import BackofficeRootDirectory
-from qommon.backoffice.menu import html_top
+from ..qommon import _
+from ..qommon.backoffice import BackofficeRootDirectory
+from ..qommon.backoffice.menu import html_top
 
-from qommon import misc, get_cfg
-from qommon import errors
-from qommon.form import *
+from ..qommon import misc, get_cfg
+from ..qommon import errors
+from ..qommon.form import *
 
 from wcs.formdef import FormDef
 
@@ -202,7 +202,7 @@ class RootDirectory(BackofficeRootDirectory):
         return r.getvalue()
 
     def get_sidebar(self):
-        from qommon.admin.menu import get_vc_version
+        from ..qommon.admin.menu import get_vc_version
         r = TemplateIO(html=True)
 
         r += htmltext('<div class="bo-block">')
diff --git a/wcs/backoffice/studio.py b/wcs/backoffice/studio.py
index ce799fea4..e49103d2e 100644
--- a/wcs/backoffice/studio.py
+++ b/wcs/backoffice/studio.py
@@ -16,9 +16,9 @@
 
 from quixote import get_publisher
 from quixote.directory import Directory
-from qommon import _
-from qommon.backoffice.menu import html_top
-from qommon import template
+from ..qommon import _
+from ..qommon.backoffice.menu import html_top
+from ..qommon import template
 
 
 class StudioDirectory(Directory):
diff --git a/wcs/backoffice/submission.py b/wcs/backoffice/submission.py
index 3ca6bc292..af358ff66 100644
--- a/wcs/backoffice/submission.py
+++ b/wcs/backoffice/submission.py
@@ -22,10 +22,10 @@ from quixote import get_publisher, get_request, get_response, get_session, redir
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon.backoffice.menu import html_top
-from qommon.form import *
-from qommon import errors, misc
+from ..qommon import _
+from ..qommon.backoffice.menu import html_top
+from ..qommon.form import *
+from ..qommon import errors, misc
 
 from wcs.formdata import FormData
 from wcs.formdef import FormDef
diff --git a/wcs/carddef.py b/wcs/carddef.py
index 4471ec8ab..c12eb7133 100644
--- a/wcs/carddef.py
+++ b/wcs/carddef.py
@@ -18,7 +18,7 @@ import new
 import sys
 
 from quixote import get_publisher
-from qommon import _
+from .qommon import _
 
 from wcs.carddata import CardData
 from wcs.formdef import FormDef
diff --git a/wcs/categories.py b/wcs/categories.py
index 611e7f1f4..0253864b1 100644
--- a/wcs/categories.py
+++ b/wcs/categories.py
@@ -17,11 +17,11 @@
 from quixote import get_publisher, get_response
 from quixote.html import htmltext
 
-from qommon import _
-from qommon.storage import StorableObject
-from qommon.misc import simplify
-from qommon.substitution import Substitutions
-from qommon.xml_storage import XmlStorableObject
+from .qommon import _
+from .qommon.storage import StorableObject
+from .qommon.misc import simplify
+from .qommon.substitution import Substitutions
+from .qommon.xml_storage import XmlStorableObject
 
 class Category(XmlStorableObject):
     _names = 'categories'
diff --git a/wcs/conditions.py b/wcs/conditions.py
index 89727c180..630fe229f 100644
--- a/wcs/conditions.py
+++ b/wcs/conditions.py
@@ -19,8 +19,8 @@ import sys
 from quixote import get_publisher
 from django.template import Context, Template, TemplateSyntaxError
 
-from qommon import _, get_logger
-from qommon.misc import site_encode
+from .qommon import _, get_logger
+from .qommon.misc import site_encode
 
 
 class ValidationError(ValueError):
diff --git a/wcs/ctl/backup.py b/wcs/ctl/backup.py
index cbd678eda..694987af7 100644
--- a/wcs/ctl/backup.py
+++ b/wcs/ctl/backup.py
@@ -18,7 +18,7 @@ import tarfile
 import time
 import os
 
-from qommon.ctl import Command, make_option
+from ..qommon.ctl import Command, make_option
 
 
 class CmdBackup(Command):
diff --git a/wcs/ctl/check_hobos.py b/wcs/ctl/check_hobos.py
index 4dd3d0e0a..32afd9951 100644
--- a/wcs/ctl/check_hobos.py
+++ b/wcs/ctl/check_hobos.py
@@ -25,9 +25,9 @@ import urlparse
 import hashlib
 
 from quixote import cleanup
-from qommon import misc
-from qommon.ctl import Command, make_option
-from qommon.storage import atomic_write
+from ..qommon import misc
+from ..qommon.ctl import Command, make_option
+from ..qommon.storage import atomic_write
 
 from wcs.admin.settings import UserFieldsFormDef
 from wcs.fields import StringField, EmailField, DateField
@@ -299,7 +299,7 @@ class CmdCheckHobos(Command):
 
         # initialize service provider side
         if not pub.cfg['sp'].get('publickey'):
-            from qommon.ident.idp import MethodAdminDirectory
+            from ..qommon.ident.idp import MethodAdminDirectory
             spconfig = pub.cfg['sp']
             spconfig['saml2_base_url'] = str(service.get('base_url')) + '/saml'
             spconfig['saml2_providerid'] = spconfig['saml2_base_url'] + '/metadata'
@@ -329,7 +329,7 @@ class CmdCheckHobos(Command):
             (bfd, metadata_pathname) = tempfile.mkstemp('.metadata')
             atomic_write(metadata_pathname, s)
 
-            from qommon.ident.idp import AdminIDPDir
+            from ..qommon.ident.idp import AdminIDPDir
             admin_dir = AdminIDPDir()
             key_provider_id = admin_dir.submit_new_remote(
                     metadata_pathname, None, metadata_url, None)
diff --git a/wcs/ctl/delete_tenant.py b/wcs/ctl/delete_tenant.py
index bffc767b3..20d6ad62a 100644
--- a/wcs/ctl/delete_tenant.py
+++ b/wcs/ctl/delete_tenant.py
@@ -21,7 +21,7 @@ import psycopg2.errorcodes
 from datetime import datetime
 from shutil import rmtree
 
-from qommon.ctl import Command, make_option
+from ..qommon.ctl import Command, make_option
 
 
 class CmdDeleteTenant(Command):
diff --git a/wcs/ctl/export_settings.py b/wcs/ctl/export_settings.py
index 4f38b7724..4f1a50fdd 100644
--- a/wcs/ctl/export_settings.py
+++ b/wcs/ctl/export_settings.py
@@ -16,7 +16,7 @@
 
 import os
 
-from qommon.ctl import Command, make_option
+from ..qommon.ctl import Command, make_option
 
 class CmdExportSettings(Command):
     name = 'export_settings'
diff --git a/wcs/ctl/hobo_notify.py b/wcs/ctl/hobo_notify.py
index a8be001ac..7558ae94e 100644
--- a/wcs/ctl/hobo_notify.py
+++ b/wcs/ctl/hobo_notify.py
@@ -20,8 +20,8 @@ import json
 
 from quixote import get_publisher
 from wcs.roles import Role
-from qommon.ctl import Command
-from qommon.publisher import get_cfg
+from ..qommon.ctl import Command
+from ..qommon.publisher import get_cfg
 from wcs.admin.settings import UserFieldsFormDef
 from wcs.qommon.misc import json_encode_helper
 
diff --git a/wcs/ctl/management/commands/__init__.py b/wcs/ctl/management/commands/__init__.py
index e6d3d54a4..d3c2eccb5 100644
--- a/wcs/ctl/management/commands/__init__.py
+++ b/wcs/ctl/management/commands/__init__.py
@@ -18,7 +18,7 @@ import os
 
 from django.core.management.base import BaseCommand, CommandError
 
-from qommon.publisher import get_publisher_class
+from wcs.qommon.publisher import get_publisher_class
 
 
 class TenantCommand(BaseCommand):
diff --git a/wcs/ctl/management/commands/convert_to_sql.py b/wcs/ctl/management/commands/convert_to_sql.py
index 4cc99af06..4516b78f1 100644
--- a/wcs/ctl/management/commands/convert_to_sql.py
+++ b/wcs/ctl/management/commands/convert_to_sql.py
@@ -23,7 +23,7 @@ import traceback
 from django.core.management.base import BaseCommand
 from django.core.management.base import CommandError
 
-from qommon.publisher import get_publisher_class
+from wcs.qommon.publisher import get_publisher_class
 
 from wcs import sql
 from wcs.formdef import FormDef
diff --git a/wcs/ctl/management/commands/runscript.py b/wcs/ctl/management/commands/runscript.py
index b9364c0fc..96649baf1 100644
--- a/wcs/ctl/management/commands/runscript.py
+++ b/wcs/ctl/management/commands/runscript.py
@@ -21,7 +21,7 @@ import sys
 
 from django.core.management.base import CommandError
 
-from qommon.publisher import get_publisher_class
+from wcs.qommon.publisher import get_publisher_class
 
 from . import TenantCommand
 
diff --git a/wcs/ctl/process_bounce.py b/wcs/ctl/process_bounce.py
index 18cbe8b87..32ab89dc8 100644
--- a/wcs/ctl/process_bounce.py
+++ b/wcs/ctl/process_bounce.py
@@ -21,7 +21,7 @@ import email.Parser
 
 from Bouncers import BouncerAPI
 
-from qommon.ctl import Command
+from ..qommon.ctl import Command
 
 COMMA_SPACE = ', '
 
@@ -29,10 +29,10 @@ class CmdProcessBounce(Command):
     name = 'process_bounce'
 
     def execute(self, base_options, sub_options, args):
-        from qommon.tokens import Token
-        from qommon.bounces import Bounce
+        from ..qommon.tokens import Token
+        from ..qommon.bounces import Bounce
 
-        import publisher
+        from .. import publisher
 
         try:
             publisher.WcsPublisher.configure(self.config)
diff --git a/wcs/ctl/rebuild_indexes.py b/wcs/ctl/rebuild_indexes.py
index 9b865a0a8..5e5ee493d 100644
--- a/wcs/ctl/rebuild_indexes.py
+++ b/wcs/ctl/rebuild_indexes.py
@@ -16,7 +16,7 @@
 
 import os
 
-from qommon.ctl import Command, make_option
+from ..qommon.ctl import Command, make_option
 
 def rebuild_vhost_indexes(pub, destroy=False):
     from wcs.formdef import FormDef
diff --git a/wcs/ctl/restore.py b/wcs/ctl/restore.py
index 60269195e..163657178 100644
--- a/wcs/ctl/restore.py
+++ b/wcs/ctl/restore.py
@@ -18,7 +18,7 @@ import sys
 import tarfile
 import os
 
-from qommon.ctl import Command, make_option
+from ..qommon.ctl import Command, make_option
 
 
 class CmdRestore(Command):
diff --git a/wcs/ctl/runscript.py b/wcs/ctl/runscript.py
index b01a271a0..4fd04bf75 100644
--- a/wcs/ctl/runscript.py
+++ b/wcs/ctl/runscript.py
@@ -19,7 +19,7 @@ import runpy
 import warnings
 import sys
 
-from qommon.ctl import Command, make_option
+from ..qommon.ctl import Command, make_option
 
 class CmdRunScript(Command):
     '''Run a script within a given host publisher context'''
diff --git a/wcs/ctl/shell.py b/wcs/ctl/shell.py
index 58d55e0a4..a8520b3dd 100644
--- a/wcs/ctl/shell.py
+++ b/wcs/ctl/shell.py
@@ -21,7 +21,7 @@
 
 import os.path
 
-from qommon.ctl import Command, make_option
+from ..qommon.ctl import Command, make_option
 
 class CmdShell(Command):
     '''Launch a shell and initialize a publisher on a given host'''
diff --git a/wcs/ctl/wipe_data.py b/wcs/ctl/wipe_data.py
index 74595025a..341f28923 100644
--- a/wcs/ctl/wipe_data.py
+++ b/wcs/ctl/wipe_data.py
@@ -17,7 +17,7 @@
 import os
 import sys
 
-from qommon.ctl import Command, make_option
+from ..qommon.ctl import Command, make_option
 
 class CmdWipeData(Command):
     name = 'wipe-data'
diff --git a/wcs/data_sources.py b/wcs/data_sources.py
index d34179dfa..1f1384e24 100644
--- a/wcs/data_sources.py
+++ b/wcs/data_sources.py
@@ -24,18 +24,18 @@ from django.utils.six.moves.urllib import parse as urlparse
 from quixote import get_publisher, get_request, get_session
 from quixote.html import TemplateIO
 
-from qommon import _
-from qommon.form import *
-from qommon.humantime import seconds2humanduration
-from qommon.misc import get_variadic_url
-import qommon.misc
-from qommon import get_logger
+from .qommon import _
+from .qommon.form import *
+from .qommon.humantime import seconds2humanduration
+from .qommon.misc import get_variadic_url
+from .qommon import misc
+from .qommon import get_logger
 
-from qommon.storage import StorableObject
-from qommon.template import Template
-from qommon.xml_storage import XmlStorableObject
+from .qommon.storage import StorableObject
+from .qommon.template import Template
+from .qommon.xml_storage import XmlStorableObject
 
-from wcs.api_utils import sign_url_auto_orig
+from .api_utils import sign_url_auto_orig
 
 
 data_source_functions = {}
@@ -63,7 +63,7 @@ class DataSourceSelectionWidget(CompositeWidget):
                 ('carddef:%s' % x.url_name, x.name, 'carddef:%s' % x.url_name)
                 for x in CardDef.select(lightweight=True, ignore_errors=True)
                 if x.digest_template])
-            options.sort(key=lambda x: qommon.misc.simplify(x[1]))
+            options.sort(key=lambda x: misc.simplify(x[1]))
 
         options.insert(0, (None, _('None'), None))
         options.append(('json', _('JSON URL'), 'json'))
@@ -124,7 +124,7 @@ def get_structured_items(data_source, mode=None):
         items = [x.get_data_source_structured_item()
                  for x in carddef.data_class().select()
                  if not x.is_draft()]
-        items.sort(key=lambda x: qommon.misc.simplify(x['text']))
+        items.sort(key=lambda x: misc.simplify(x['text']))
         return items
 
     if data_source.get('type') not in ('json', 'jsonp', 'formula'):
@@ -154,7 +154,7 @@ def get_structured_items(data_source, mode=None):
                 return []
             if len(value) == 0:
                 return []
-            value = qommon.misc.json_encode_helper(value, get_publisher().site_charset)
+            value = misc.json_encode_helper(value, get_publisher().site_charset)
             if isinstance(value[0], list) or isinstance(value[0], tuple):
                 if len(value[0]) >= 3:
                     return [{'id': x[0], 'text': x[1], 'key': x[2]} for x in value]
@@ -196,7 +196,7 @@ def get_structured_items(data_source, mode=None):
         unsigned_url = url
         url = sign_url_auto_orig(url)
         try:
-            entries = qommon.misc.json_loads(qommon.misc.urlopen(url).read())
+            entries = misc.json_loads(misc.urlopen(url).read())
             if type(entries) is not dict:
                 raise ValueError('not a json dict')
             if type(entries.get('data')) is not list:
@@ -216,7 +216,7 @@ def get_structured_items(data_source, mode=None):
                 cache.set(cache_key, items, cache_duration)
 
             return items
-        except qommon.misc.ConnectionError as e:
+        except misc.ConnectionError as e:
             get_logger().warn('Error loading JSON data source (%s)' % str(e))
         except ValueError as e:
             get_logger().warn('Error reading JSON data source output (%s)' % str(e))
@@ -300,7 +300,7 @@ class NamedDataSource(XmlStorableObject):
         super(NamedDataSource, self).store()
 
     def get_new_slug(self):
-        new_slug = qommon.misc.simplify(self.name, space='_')
+        new_slug = misc.simplify(self.name, space='_')
         base_new_slug = new_slug
         suffix_no = 0
         while True:
@@ -369,7 +369,7 @@ class NamedDataSource(XmlStorableObject):
 
         unsigned_url = url
         url = sign_url_auto_orig(url)
-        resp = qommon.misc.urlopen(url).read()
+        resp = misc.urlopen(url).read()
         if hasattr(request, 'datasources_cache'):
             request.datasources_cache[unsigned_url] = resp
         return resp
@@ -384,7 +384,7 @@ class NamedDataSource(XmlStorableObject):
         value = None
         if self.type == 'json' and self.id_parameter:
             resp = self.load_json(self.id_parameter, option_id)
-            response = qommon.misc.json_loads(resp)
+            response = misc.json_loads(resp)
             if response['data']:
                 value = response['data'][0]
         else:
diff --git a/wcs/fields.py b/wcs/fields.py
index 717cc8c65..3f6537e85 100644
--- a/wcs/fields.py
+++ b/wcs/fields.py
@@ -33,16 +33,16 @@ from django.utils.formats import date_format as django_date_format
 from django.utils.html import urlize
 from django.utils.six.moves.html_parser import HTMLParser
 
-from qommon import _
-from qommon import evalutils
-from qommon.form import *
-from qommon.misc import localstrftime, strftime, date_format, ellipsize, can_thumbnail
-from qommon.template import Template, TemplateError
-from qommon import get_cfg, get_logger
-
-import data_sources
-import portfolio
-from conditions import Condition
+from .qommon import _
+from .qommon import evalutils
+from .qommon.form import *
+from .qommon.misc import localstrftime, strftime, date_format, ellipsize, can_thumbnail
+from .qommon.template import Template, TemplateError
+from .qommon import get_cfg, get_logger
+
+from . import data_sources
+from . import portfolio
+from .conditions import Condition
 
 
 class PrefillSelectionWidget(CompositeWidget):
diff --git a/wcs/formdata.py b/wcs/formdata.py
index bfb98d543..b99522411 100644
--- a/wcs/formdata.py
+++ b/wcs/formdata.py
@@ -25,16 +25,16 @@ import time
 from quixote import get_request, get_publisher, get_session
 from quixote.http_request import Upload
 
-from qommon import _
-from qommon.storage import StorableObject, Intersects, Contains
-import qommon.misc
-from qommon.evalutils import make_datetime
-from qommon.publisher import get_cfg
-from qommon.substitution import Substitutions, invalidate_substitution_cache
-from qommon.template import Template
+from .qommon import _
+from .qommon.storage import StorableObject, Intersects, Contains
+from .qommon import misc
+from .qommon.evalutils import make_datetime
+from .qommon.publisher import get_cfg
+from .qommon.substitution import Substitutions, invalidate_substitution_cache
+from .qommon.template import Template
 
-from roles import Role
-from fields import FileField
+from .roles import Role
+from .fields import FileField
 
 
 def get_dict_with_varnames(fields, data, formdata=None, varnames_only=False):
@@ -58,7 +58,7 @@ def get_dict_with_varnames(fields, data, formdata=None, varnames_only=False):
             new_data['f%s' % field.id.replace('-', '_')] = value
 
             # also add it as 'field_' + normalized(field label)
-            identifier_name = qommon.misc.simplify(field.label, space = '_')
+            identifier_name = misc.simplify(field.label, space = '_')
             new_data['field_' + identifier_name] = value
 
         # and finally add it as its manually defined variable name
@@ -638,9 +638,9 @@ class FormData(StorableObject):
         if field.type == 'display_name':
             return self.get_display_name()
         if field.type == 'time':
-            return qommon.misc.localstrftime(self.receipt_time)
+            return misc.localstrftime(self.receipt_time)
         if field.type == 'last_update_time':
-            return qommon.misc.localstrftime(self.last_update_time)
+            return misc.localstrftime(self.last_update_time)
         if field.type == 'user-label':
             return self.get_user_label() or '-'
         if field.type == 'status':
@@ -685,8 +685,8 @@ class FormData(StorableObject):
 
         if self.id:
             d.update({
-                'form_receipt_date': qommon.misc.strftime(qommon.misc.date_format(), self.receipt_time),
-                'form_receipt_time': qommon.misc.strftime('%H:%M', self.receipt_time),
+                'form_receipt_date': misc.strftime(misc.date_format(), self.receipt_time),
+                'form_receipt_time': misc.strftime('%H:%M', self.receipt_time),
                 'form_number': str(self.get_display_id()),
                 'form_number_raw': '%s' % self.id,
                 'form_url': self.get_url(),
@@ -823,7 +823,7 @@ class FormData(StorableObject):
         return d
 
     def get_substitution_variables(self, minimal=False):
-        from qommon.substitution import CompatibilityNamesDict
+        from .qommon.substitution import CompatibilityNamesDict
         from wcs.variables import LazyFormData
         from wcs.workflows import AttachmentsSubstitutionProxy
         variables = CompatibilityNamesDict({
@@ -1080,7 +1080,7 @@ class FormData(StorableObject):
     def export_to_json(self, include_files=True, anonymise=False):
         data = self.get_json_export_dict(include_files=include_files, anonymise=anonymise)
         return json.dumps(data,
-                cls=qommon.misc.JSONEncoder,
+                cls=misc.JSONEncoder,
                 encoding=get_publisher().site_charset)
 
     def mark_as_being_visited(self):
diff --git a/wcs/formdef.py b/wcs/formdef.py
index 665e495a3..716a80fe1 100644
--- a/wcs/formdef.py
+++ b/wcs/formdef.py
@@ -27,20 +27,20 @@ import datetime
 from quixote import get_request, get_publisher
 from quixote.http_request import Upload
 
-from qommon import _
-from qommon.storage import StorableObject, fix_key
-from qommon.cron import CronJob
-from qommon.form import *
-from qommon.misc import simplify, get_as_datetime
-from qommon import get_cfg
-from qommon.substitution import Substitutions
-from qommon.publisher import get_publisher_class
-
-from formdata import FormData
-from roles import Role, logged_users_role
-from categories import Category
-import fields
-import data_sources
+from .qommon import _
+from .qommon.storage import StorableObject, fix_key
+from .qommon.cron import CronJob
+from .qommon.form import *
+from .qommon.misc import simplify, get_as_datetime
+from .qommon import get_cfg
+from .qommon.substitution import Substitutions
+from .qommon.publisher import get_publisher_class
+
+from .formdata import FormData
+from .roles import Role, logged_users_role
+from .categories import Category
+from . import fields
+from . import data_sources
 
 
 class FormdefImportError(Exception):
@@ -1252,7 +1252,7 @@ class FormDef(StorableObject):
         return d
 
     def get_substitution_variables(self, minimal=False):
-        from qommon.substitution import CompatibilityNamesDict
+        from .qommon.substitution import CompatibilityNamesDict
         from wcs.variables import LazyFormDef
         return CompatibilityNamesDict({'form': LazyFormDef(self)})
 
@@ -1462,7 +1462,7 @@ class FormDef(StorableObject):
         return pickle.dumps(object, protocol=2) + pickle.dumps(object.fields, protocol=2)
 
 
-from qommon.admin.emails import EmailsDirectory
+from .qommon.admin.emails import EmailsDirectory
 
 EmailsDirectory.register('new_user', N_('Notification of creation to user'),
         enabled=False,
diff --git a/wcs/forms/actions.py b/wcs/forms/actions.py
index f61e403d1..fc613d6d1 100644
--- a/wcs/forms/actions.py
+++ b/wcs/forms/actions.py
@@ -17,11 +17,11 @@
 from quixote import redirect
 from quixote.directory import Directory
 
-from qommon import errors
-from qommon import misc
-from qommon import template
-from qommon import tokens
-from qommon.form import Form
+from ..qommon import errors
+from ..qommon import misc
+from ..qommon import template
+from ..qommon import tokens
+from ..qommon.form import Form
 
 from wcs.formdef import FormDef
 from wcs.forms.common import FormTemplateMixin
diff --git a/wcs/forms/backoffice.py b/wcs/forms/backoffice.py
index c3d0aeae8..e857296f6 100644
--- a/wcs/forms/backoffice.py
+++ b/wcs/forms/backoffice.py
@@ -19,10 +19,10 @@ import urllib
 from quixote import get_request, get_publisher, redirect
 from quixote.html import htmltext, TemplateIO
 
-from qommon import _
-from qommon import misc
-from qommon.form import *
-from qommon.backoffice.listing import pagination_links
+from ..qommon import _
+from ..qommon import misc
+from ..qommon.form import *
+from ..qommon.backoffice.listing import pagination_links
 from wcs.roles import logged_users_role
 
 class FormDefUI(object):
diff --git a/wcs/forms/common.py b/wcs/forms/common.py
index c2a94a5dc..76cf5d6e8 100644
--- a/wcs/forms/common.py
+++ b/wcs/forms/common.py
@@ -26,15 +26,15 @@ from wcs.api_utils import get_user_from_api_query_string, is_url_signed
 from wcs.fields import WidgetField, FileField
 from wcs.workflows import EditableWorkflowStatusItem
 
-from qommon import _
-from qommon import misc
-from qommon import template
-from qommon import get_logger
-from qommon.form import *
+from ..qommon import _
+from ..qommon import misc
+from ..qommon import template
+from ..qommon import get_logger
+from ..qommon.form import *
 
 from wcs.qommon.admin.texts import TextsDirectory
 
-from qommon import errors
+from ..qommon import errors
 
 
 class FileDirectory(Directory):
diff --git a/wcs/forms/preview.py b/wcs/forms/preview.py
index 455f3bf49..9377f8ab3 100644
--- a/wcs/forms/preview.py
+++ b/wcs/forms/preview.py
@@ -17,7 +17,7 @@
 from quixote import get_publisher
 from quixote.directory import Directory, AccessControlled
 from quixote.html import htmltext, TemplateIO
-from qommon import errors, _
+from ..qommon import errors, _
 
 from .root import FormPage
 
diff --git a/wcs/forms/root.py b/wcs/forms/root.py
index ed628cb32..f841c2e0d 100644
--- a/wcs/forms/root.py
+++ b/wcs/forms/root.py
@@ -38,14 +38,14 @@ from quixote.util import randbytes
 from quixote.form.widget import *
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon.admin.emails import EmailsDirectory
-from qommon import errors, get_cfg
-from qommon import misc, get_logger
-from qommon import template
-from qommon.form import *
-from qommon.logger import BotFilter
-from qommon import emails
+from ..qommon import _
+from ..qommon.admin.emails import EmailsDirectory
+from ..qommon import errors, get_cfg
+from ..qommon import misc, get_logger
+from ..qommon import template
+from ..qommon.form import *
+from ..qommon.logger import BotFilter
+from ..qommon import emails
 
 from wcs import data_sources
 from wcs.categories import Category
diff --git a/wcs/forms/workflows.py b/wcs/forms/workflows.py
index 342cc764f..b3285376d 100644
--- a/wcs/forms/workflows.py
+++ b/wcs/forms/workflows.py
@@ -19,7 +19,7 @@ import json
 from quixote import get_request, get_response
 from quixote.directory import Directory
 
-from qommon import errors
+from ..qommon import errors
 
 from wcs.api import get_user_from_api_query_string, is_url_signed
 from wcs.roles import logged_users_role
diff --git a/wcs/logged_errors.py b/wcs/logged_errors.py
index 93a0cd13c..fd47f11ad 100644
--- a/wcs/logged_errors.py
+++ b/wcs/logged_errors.py
@@ -16,8 +16,8 @@
 
 import datetime
 
-from qommon.misc import simplify
-from qommon.xml_storage import XmlStorableObject
+from .qommon.misc import simplify
+from .qommon.xml_storage import XmlStorableObject
 from wcs.formdef import FormDef
 from wcs.workflows import Workflow
 
diff --git a/wcs/myspace.py b/wcs/myspace.py
index f90048a26..e0a2ed396 100644
--- a/wcs/myspace.py
+++ b/wcs/myspace.py
@@ -15,9 +15,9 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 from quixote import get_request, redirect
-import qommon.myspace
+from .qommon import myspace
 
-class MyspaceDirectory(qommon.myspace.MyspaceDirectory):
+class MyspaceDirectory(myspace.MyspaceDirectory):
     _q_exports = ['', 'profile', 'new', 'password', 'remove', 'drafts', 'forms']
 
     def drafts(self):
diff --git a/wcs/portfolio.py b/wcs/portfolio.py
index c19a27bf8..49990796c 100644
--- a/wcs/portfolio.py
+++ b/wcs/portfolio.py
@@ -17,12 +17,12 @@
 import json
 import hashlib
 import urllib
-import urlparse
 import base64
 
-from qommon import get_logger
-from qommon.misc import http_get_page, json_loads, http_post_request, urlopen
-import qommon.form
+from django.utils.six.moves.urllib import parse as urlparse
+
+from .qommon import get_logger
+from .qommon.misc import http_get_page, json_loads, http_post_request, urlopen
 from quixote import get_publisher, get_request, get_response, redirect, get_session
 from quixote.directory import Directory
 from quixote.html import TemplateIO, htmltext
@@ -131,7 +131,8 @@ class FargoDirectory(Directory):
             scheme, netloc, path, qs, frag = urlparse.urlsplit(url)
             path = map(None, path.split('/'))
             name = urllib.unquote(path[-1])
-            download = qommon.form.PicklableUpload(name, content_type='application/pdf')
+            from .qommon.form import PicklableUpload
+            download = PicklableUpload(name, content_type='application/pdf')
             download.__setstate__({
                 'data': document,
             })
diff --git a/wcs/publisher.py b/wcs/publisher.py
index 429741597..536143dea 100644
--- a/wcs/publisher.py
+++ b/wcs/publisher.py
@@ -29,7 +29,7 @@ try:
 except ImportError:
     pass
 
-from qommon.publisher import set_publisher_class, QommonPublisher
+from .qommon.publisher import set_publisher_class, QommonPublisher
 
 # this is terribly ugly but import RootDirectory will import a bunch of things,
 # and some of them need a publisher to be set
@@ -38,22 +38,22 @@ class StubWcsPublisher(QommonPublisher):
 set_publisher_class(StubWcsPublisher)
 
 
-from root import RootDirectory
-from backoffice import RootDirectory as BackofficeRootDirectory
-from admin import RootDirectory as AdminRootDirectory
-import sessions
-from qommon.cron import CronJob
+from .root import RootDirectory
+from .backoffice import RootDirectory as BackofficeRootDirectory
+from .admin import RootDirectory as AdminRootDirectory
+from . import sessions
+from .qommon.cron import CronJob
 
-from users import User
-from tracking_code import TrackingCode
-from logged_errors import LoggedError
+from .users import User
+from .tracking_code import TrackingCode
+from .logged_errors import LoggedError
 
 import pickle
 
 class UnpicklerClass(pickle.Unpickler):
     def find_class(self, module, name):
-        if module == 'wcs.form':
-            module = 'qommon.form'
+        if module == 'qommon.form':
+            module = 'wcs.qommon.form'
         __import__(module)
         mod = sys.modules[module]
         klass = getattr(mod, name)
diff --git a/wcs/qommon/__init__.py b/wcs/qommon/__init__.py
index e8e11b53e..72d430517 100644
--- a/wcs/qommon/__init__.py
+++ b/wcs/qommon/__init__.py
@@ -40,8 +40,8 @@ def ngettext(*args):
         return message
     return unicode(pub.ngettext(*args), 'utf-8').encode(pub.site_charset)
 
-from publisher import get_cfg, get_logger, get_publisher_class
-import publisher
+from .publisher import get_cfg, get_logger, get_publisher_class
+from . import publisher
 publisher._ = _
 
 
diff --git a/wcs/qommon/admin/cfg.py b/wcs/qommon/admin/cfg.py
index 91115ff81..9b5b8e1bc 100644
--- a/wcs/qommon/admin/cfg.py
+++ b/wcs/qommon/admin/cfg.py
@@ -16,7 +16,7 @@
 
 from quixote import get_publisher
 
-from qommon import get_cfg
+from .. import get_cfg
 
 def cfg_submit(form, cfg_key, fields):
     get_publisher().reload_cfg()
diff --git a/wcs/qommon/admin/emails.py b/wcs/qommon/admin/emails.py
index dd1607efa..879d25e8c 100644
--- a/wcs/qommon/admin/emails.py
+++ b/wcs/qommon/admin/emails.py
@@ -18,11 +18,11 @@ from quixote import redirect
 from quixote.directory import Directory
 from quixote.html import htmltext, TemplateIO
 
-from qommon import _
-from qommon.form import *
-from qommon import misc, get_cfg
-from qommon.backoffice.menu import html_top
-from qommon.admin.cfg import cfg_submit
+from .. import _
+from ..form import *
+from .. import misc, get_cfg
+from ..backoffice.menu import html_top
+from ..admin.cfg import cfg_submit
 
 class EmailsDirectory(Directory):
     emails_dict = {}
diff --git a/wcs/qommon/admin/logger.py b/wcs/qommon/admin/logger.py
index 6b8d6076d..279b5b4e9 100644
--- a/wcs/qommon/admin/logger.py
+++ b/wcs/qommon/admin/logger.py
@@ -21,10 +21,10 @@ from quixote import get_publisher, get_request, get_response
 from quixote.html import htmltext, TemplateIO
 from quixote.directory import Directory
 
-from qommon import _
-from qommon import logger, errors
-from qommon.backoffice.menu import html_top
-from qommon.admin.menu import error_page
+from .. import _
+from .. import logger, errors
+from ..backoffice.menu import html_top
+from ..admin.menu import error_page
 
 class ByUserDirectory(Directory):
     def _q_lookup(self, component):
